# AddEnemyBuffModifierPhase | pokemon-rogue-battle
Documentation for pokemon-rogue-battle

# Class AddEnemyBuffModifierPhase

#### Hierarchy (View Summary)

- Phase
  - AddEnemyBuffModifierPhase

- Defined in src/phases/add-enemy-buff-modifier-phase.ts:11

##### Index

### Constructors

constructor

### Methods

end
start

## Constructors

### constructor

- new AddEnemyBuffModifierPhase(): AddEnemyBuffModifierPhase

  #### Returns AddEnemyBuffModifierPhase

  Overrides Phase.constructor

  - Defined in src/phases/add-enemy-buff-modifier-phase.ts:12

## Methods

### end

- end(): void

  #### Returns void

  Inherited from Phase.end

  - Defined in src/phase.ts:6

### start

- start(): void

  #### Returns void

  Overrides Phase.start

  - Defined in src/phases/add-enemy-buff-modifier-phase.ts:16